# Company Ratings

### Fields

| Field                         | Type  | Description                        |
| ----------------------------- | ----- | ---------------------------------- |
| careerOpportunitiesRating     | Float | Career Opportunities Rating        |
| compensationAndBenefitsRating | Float | Compensation and Benefits Rating   |
| cultureAndValuesRating        | Float | Culture and Values Rating          |
| overallRating                 | Float | Overall Employee Rating of Company |
| seniorLeadershipRating        | Float | Senior Leadership Rating           |
| workLifeBalanceRating         | Float | Work/Life Balance Rating           |

### Query example

```graphql
# query
query findCompanyByDomain($domain: String!) {
    company(domain: $domain) {
        companyRatings {
            careerOpportunitiesRating
            compensationAndBenefitsRating
            cultureAndValuesRating
            overallRating
            seniorLeadershipRating
            workLifeBalanceRating
        }
    }
}

# variables
{ "domain": "meta.com" }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.craft.co/company-data-api/data-points/human-capital/company-ratings-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
